/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TIZEN_APPFW_WATCH_APP_EXTENSION_H__
#define __TIZEN_APPFW_WATCH_APP_EXTENSION_H__

#include <watch_app.h>

#ifdef __cplusplus
extern "C" {
#endif


/**
 * @brief Gets the daylight time status.
 * @since_tizen 3.0
 * @param[in] watch_time The watch_time handle
 * @param[out] daylight The Daylight time status
 * @return 0 on success, otherwise a negative error value
 * @retval #APP_ERROR_INVALID_PARAMETER Invalid Parameter
 * @retval #APP_ERROR_NONE Successful
 */
int watch_time_get_daylight_time_status(watch_time_h watch_time, bool *daylight);

/**
 * @}
 */

#ifdef __cplusplus
}
#endif

#endif /* __TIZEN_APPFW_WATCH_APP_EXTENSION_H__ */
